ghc-7.0.4: The GHC API

ByteCodeItbls

# Documentation

type ItblEnv = NameEnv (Name, ItblPtr)Source

newtype ItblPtr Source

Constructors

ItblPtr (Ptr ()) |

Instances

Show ItblPtr |

itblCode :: ItblPtr -> Ptr ()Source

mkITbls :: [TyCon] -> IO ItblEnv Source

data StgInfoTable Source

Constructors

StgInfoTable |

Fields

ptrs :: HalfWord
nptrs :: HalfWord
tipe :: HalfWord
srtlen :: HalfWord
code :: [ItblCode]

Instances

Storable StgInfoTable |